pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/48254: Update mail/fdm to 1.7

The following reply was made to PR pkg/48254; it has been noted by GNATS.

From: "OBATA Akio" <>
Subject: Re: pkg/48254: Update mail/fdm to 1.7
Date: Thu, 03 Oct 2013 19:39:30 +0900

 On Thu, 03 Oct 2013 08:45:00 +0900, Leonardo Taccari 
<> wrote:
 >  On Wed, Oct 02, 2013 at 12:15:00PM +0000, OBATA Akio wrote:
 >  >  SUBST might cause unwanted changes, so it may be danger.
 >  >  You can use BSD_INSTALL_PROGRAM (and so on) in Makefile, and just a patch
 >  >  will be sufficient.
 >  A patch usually are a bit clearer than few REs.
 >  However, I prefer to use SUBST in this case because it usually simplify
 >  the update to a new version.
 >  Here should not be danger because the REs will substitute only
 >  variables that are (re)assigned.
 An advantage is a disadvantage from another perspective.
 Anyway, `-E' option of sed(1) is not portable, so it must not be used there.
 OBATA Akio /

Home | Main Index | Thread Index | Old Index